Bug 1011890 - virsh lxc-enter-namespace kills libvirtd
virsh lxc-enter-namespace kills libvirtd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 06:48 EDT by Heinz Mauelshagen
Modified: 2016-04-26 14:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-26 07:29:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heinz Mauelshagen 2013-09-25 06:48:33 EDT
Description of problem:

"virsh lxc-enter-namespace $domain /bin/ls" kills libvirtd.

Version-Release number of selected component (if applicable):
libvirt-client-1.0.5.5-1.fc19.x86_64
libvirt-daemon-1.0.5.5-1.fc19.x86_64

How reproducible:
Always

Steps to Reproduce:
1. run "virsh lxc-enter-namespace $domain /bin/ls"
2.
3.

Actual results:
No output and libvirtd dies.

Expected results:
Output of /bin/ls redirected from guest

Additional info:
Running guests not harmed.
Comment 1 Heinz Mauelshagen 2014-09-26 07:29:30 EDT
Defined behaviour in version 1.1.3.6-1:

"virsh lxc-enter-namespace $domain /bin/ls" ->

error: this function is not supported by the connection driver: virDomainLxcOpenNamespace

Closing...

Note You need to log in before you can comment on or make changes to this bug.